Kubuntu 16.04 Driver Manager cassé

32

Le gestionnaire de pilotes est suspendu à la phase "Collecte d’informations sur votre système" qui ne dépasse pas ce point.

Est-ce que quelqu'un d'autre fait l'expérience de cela, si oui, y a-t-il des correctifs connus?

    
posée Afflicted 23.04.2016 - 21:33
la source

4 réponses

0

La réponse initiale que j'ai reçue a fonctionné pour mon ordinateur portable, mais pas pour mon bureau. Mon ordinateur portable utilise Nvidia et mon bureau utilise AMD. Si vous utilisez un GPU AMD, veuillez lire ce qui suit.

À l’heure actuelle, fglrx n’est pas supporté et je ne sais pas si cela va revenir dans le futur. Ce que cela signifie pour les utilisateurs de GPU AMD, c’est que nous utiliserons les pilotes open source.

Exécutez la commande suivante dans le terminal pour répertorier vos périphériques PCI:

lspci 

Cela va cracher de nombreuses lignes parmi lesquelles vous devriez en voir une similaire à celle-ci:

7:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Tahiti XT [Radeon HD 7970/8970 OEM / R9 280X]

L’objectif est de trouver votre modèle GPU, ce que vous devez savoir. La prochaine commande crache une tonne d'informations et c'est quelque chose que vous ne devriez jamais oublier. Si vous regardez à travers, vous verrez pourquoi.

man radeon

Allez jusqu'au bas de votre terminal et vous verrez quelque chose comme ceci:

X Version 11            xf86-video-ati 7.7.0 

Ceci est le pilote AMD open source, et il est actif.

L’objectif général de cette réponse spécifique est d’informer les utilisateurs que par défaut, le pilote Open Source doit être installé et activé sur votre système pour votre GPU AMD. En ce qui concerne les autres conducteurs, la réponse originale à cette question est toujours valide.

    
réponse donnée Afflicted 04.05.2016 - 20:49
la source
26

J'ai trouvé une solution sur la page BinaryDriverHowto, sous l'en-tête Installation sans X .

Vous pouvez exécuter sudo ubuntu-drivers devices pour voir les pilotes détectés et utiliser apt pour les installer vous-même. Voici l'exemple présenté sur cette page:

sudo ubuntu-drivers devices
== /sys/devices/pci0000:00/0000:00:01.0/0000:01:00.0 ==

vendor   : NVIDIA Corporation
modalias : pci:v000010DEd00000DDAsv000017AAsd000021D1bc03sc00i00
model    : GF106GLM [Quadro 2000M]
driver   : xserver-xorg-video-nouveau - distro free builtin
driver   : nvidia-304-updates - distro non-free
driver   : nvidia-304 - distro non-free
driver   : nvidia-331 - distro non-free recommended
driver   : nvidia-331-updates - distro non-free
sudo apt-get install nvidia-331
    
réponse donnée jja 24.04.2016 - 01:52
la source
7

Pour répondre à votre question initiale ("Est-ce que quelqu'un d'autre en fait l'expérience"), la réponse est oui - moi.

Toujours à la recherche d’un correctif moi-même (votre deuxième question), je modifierai ma réponse si j'en trouve un.

EDIT: j'ai enfin trouvé un rapport de bogue sur ce problème. .

EDIT: Un commentaire contient une solution / solution rapide:

sudo update-apt-xapian-index

Vous devrez peut-être également installer apt-xapian-index package car apt-xapian-index disparu de l'image est passé inaperçu pour 16.04. Le paquet aurait été rajouté pour yakkety .

Malheureusement, malgré son âge (4 mois) et le fait qu’un indice ait été trouvé, personne n’est affecté à sa résolution. Le bogue a été corrigé.

    
réponse donnée pubalapoub 03.05.2016 - 05:47
la source
3

Le gestionnaire de paquets Muon ( sudo apt-get install muon ) dispose des pilotes répertoriés et disponibles pour l’installation. Une fois que vous avez la version du pilote ( sudo ubuntu-drivers devices ), vous pouvez la rechercher et remarquer le pilote binaire avec ce numéro de version.

    
réponse donnée user539238 04.05.2016 - 04:13
la source

Lire d'autres questions sur les étiquettes